classification
Title: fix formatting of positional-only parameters in inspect.Signature
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, larry, ncoghlan, python-dev, yselivanov
Priority: normal Keywords: patch

Created on 2014-01-22 22:52 by yselivanov, last changed 2014-01-27 22:30 by yselivanov. This issue is now closed.

Files
File name Uploaded Description Edit
pos_only_format_01.patch yselivanov, 2014-01-22 22:52 review
pos_only_format_02.patch yselivanov, 2014-01-23 02:42 review
Messages (4)
msg208860 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-01-22 22:52
Fix formatting of positional-only parameters to use '/' as a separator
for them from other kinds.

This patch also makes 'Parameter.name' required, as well as being a 
valid identifier (as per discussion with Larry, Nick and Brett).
msg208875 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-01-23 02:42
One more patch revision: added versionchanged directive for the inspect.Parameter class docs.
msg208968 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-01-23 16:45
I'd like to commit this one later today, so please take a look at the patch.
msg209470 - (view) Author: Roundup Robot (python-dev) Date: 2014-01-27 20:08
New changeset ffe1d684b41e by Yury Selivanov in branch 'default':
inspect.signature: Use '/' to separate positional-only parameters from
http://hg.python.org/cpython/rev/ffe1d684b41e
History
Date User Action Args
2014-01-27 22:30:09yselivanovsetresolution: fixed
2014-01-27 20:11:23yselivanovsetstatus: open -> closed
2014-01-27 20:08:56python-devsetnosy: + python-dev
messages: + msg209470
2014-01-23 16:45:32yselivanovsetmessages: + msg208968
2014-01-23 02:42:56yselivanovsetfiles: + pos_only_format_02.patch

messages: + msg208875
2014-01-22 22:52:06yselivanovcreate